import config
import data

import pyglet
import cocos
from cocos.director import director
from cocos.euclid import Vector2
from cocos.layer import ColorLayer
from flock import Flock
from plane import Plane


class TestFlock(Flock):    
    is_event_handler = True # for actions to work
    def __init__(self, boidimage, numboids):
        super(TestFlock, self).__init__(boidimage, numboids)
        
        #plane_rules = { "goto":0, "velocity":0, "target":0, "away":0, "speed":10000, "seperate":0 }
        #self.plane = Plane("data/images/plane.png", plane_rules)
        #self.plane.pos = Vector2(100,100)
        
        # need to add strong avoid for plane
        #self.AddToFlock(self.plane)
        #self.add(self.plane)
        
        #self.schedule(self.UpdateNonFlock)
        
    #def UpdateNonFlock(self, dt):
    #    self.UpdateFlockCenter()
    #    self.plane.VelocityUpdate(self.center)
    #    self.plane.PositionUpdate(dt)
        
    def on_mouse_motion(self, x, y, dx, dy):
        self.target = Vector2(x,y)
        
    #def on_mouse_press(self,x, y, button, modifiers): 
    #    self.plane.target = Vector2(x,y)
    
    
def run():
    director.init( resizable=True )
    main_scene = cocos.scene.Scene()

    flock = TestFlock("data/images/bird.png", 30) 
    
    main_scene.add(ColorLayer(50,100,255,255))
    main_scene.add( flock )

    director.run( main_scene )
    
if __name__ == "__main__":
    run()
