import sys
sys.path.insert(1, "../")
import yaml
import urllib
import urllib2
import score

#SERVER = "http://1.latest.nan-game.appspot.com/"
SERVER = "http://nan-game.appspot.com"#"http://localhost:8080"

SCORE_SERVER_SEND_URL = SERVER+"/set_hs"
SCORE_SERVER_REQUEST_URL = SERVER+"/get_hs"

ACH_SERVER_SEND_URL = SERVER+"/set_ac"
ACH_SERVER_REQUEST_URL = SERVER+"/get_ac"

def _submit(target, data = None):
    req = None
    if (data is not None):
        sendstr = urllib.urlencode(data)
        print "submit: "+str(data)+" --> "+str(sendstr)
    
        req = urllib2.Request(url=target,  data=sendstr)
    else:
        req = urllib2.Request(url=target)
    try:    
        return urllib2.urlopen(req)
    except:
        pass
    
    return None

def SubmitScore(name, score):
    _submit(SCORE_SERVER_SEND_URL, {"score":int(score), "user":name})

    
def LoadResult(fh):
    if (fh is not None):
        values = fh.read()
        return yaml.load(values)
    
    return None
    
def GetScores():
    fh =  _submit(SCORE_SERVER_REQUEST_URL)
    return LoadResult(fh)

def SubmitAchievement(name, seed, id):
    _submit(ACH_SERVER_SEND_URL, {"user":name, "seed":seed, "id":id})
    
def GetAchievements(name, seed, id="foo"):
    fh = _submit(ACH_SERVER_REQUEST_URL, {"user":name, "seed":seed, "id":id})
    return LoadResult(fh)

def test():
    import random

    for n in xrange(10):
        SubmitScore("Frank", random.uniform(0, 2000) )
    f = GetScores()
    print "out: "+ str(f)
    
    SubmitAchievement( "Bob", "123456", "winnar" )
    SubmitAchievement( "Frank", "123456", "ach1" )
    SubmitAchievement( "Frank", "123456", "ach2" )
    SubmitAchievement( "Frank", "123456", "ach3" )
    f = GetAchievements( "Frank", "123456")
    print "out: "+ str(f)
    
if __name__ == "__main__":
    test()
