
from cocos.menu import *
from cocos.layer import Layer,ColorLayer
from cocos.director import director
from pyglet.window import key
import config
from cocos.sprite import Sprite
from cocos.scene import Scene
from menu_main import MainMenu
from cocos.scenes.transitions import *
from bg_layer import BGLayer  
class NameMenu( Menu ):
    def __init__(self):
        Menu.__init__(self) 
        self.font_item['font_size'] = 16
        self.font_item['color'] = (0,0,0,255)
        self.font_item_selected['font_size'] = 24
 
        self.playername = config.playername
         
        items = []
        items.append( EntryMenuItem('Name:', self.on_name, self.playername) )
        items.append( MenuItem('Done', self.on_back) )

        self.create_menu( items)

    def on_back(self):
        config.playername = self.playername
        config.save_option("playername",config.playername)
        mainmenu = Scene(BGLayer("main"), MainMenu())
        director.replace( FadeTransition( mainmenu , 2, self) )
        
    def on_quit(self):
        # called by esc
        self.on_back()#director.scene.end()
        
    def on_name( self, value ):
        self.playername = value

